You are Here:
Linux Lite 5.0 Final is now available for download and installation



Update/Install Wine 5.0 in Linux Lite

Author (Read 13413 times)

0 Members and 3 Guests are viewing this topic.

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #15 on: March 12, 2020, 07:35:54 PM »
 

Tomm16 Rnr

  • New to Forums
  • *
  • 16
    Posts
  • Reputation: 0
 First of all I thank you for your patience to help me, I have thought about reinstalling linux, but I will keep trying what you tell me, by doing
Code: [Select]
sudo apt-get remove wine what appears in the terminal is
"E: Could not block /var/lib/dpkg/lock-frontend - open (11: Resource temporarily unavailable)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), is another process using it?"
 


Re: Update/Install Wine 5.0 in Linux Lite
« Reply #16 on: March 12, 2020, 07:37:41 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
If you have synaptic open, close it and rerun the command.
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #17 on: March 12, 2020, 07:40:58 PM »
 

Tomm16 Rnr

  • New to Forums
  • *
  • 16
    Posts
  • Reputation: 0
Sorry I did not realize about the synaptics, now I think it has worked and what the terminal has returned is the following (sorry, I am from Argentina and the terminal has returned messages in Spanish)
Code: [Select]
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
No pueden eliminarse los paquetes virtuales como «wine»
Los paquetes indicados a continuación se instalaron de forma automática y ya no son necesarios.
  libasn1-8-heimdal:i386 libcap2:i386 libexif12:i386 libgd3:i386
  libgphoto2-6:i386 libgphoto2-port12:i386 libgssapi3-heimdal:i386
  libgstreamer-plugins-base1.0-0:i386 libgstreamer1.0-0:i386
  libhcrypto4-heimdal:i386 libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386
  libhx509-5-heimdal:i386 libkrb5-26-heimdal:i386 liblcms2-2:i386
  libldap-2.4-2:i386 libmpg123-0:i386 libopenal1:i386 liborc-0.4-0:i386
  libpcap0.8:i386 libroken18-heimdal:i386 libsasl2-2:i386
  libsasl2-modules-db:i386 libsqlite3-0:i386 libstb0 libstb0:i386
  libusb-1.0-0:i386 libwind0-heimdal:i386 libxpm4:i386 ocl-icd-libopencl1:i386
Utilice «sudo apt autoremove» para eliminarlos.
0 actualizados, 0 nuevos se instalarán, 0 para eliminar y 0 no actualizados.
30 no instalados del todo o eliminados.
Se utilizarán 0 B de espacio de disco adicional después de esta operación.
Configurando liblcms2-2:i386 (2.9-1ubuntu0.1) ...
Configurando libstb0:i386 (0.0~git20190617.5.c72a95d-3) ...
Configurando libstb0:amd64 (0.0~git20190617.5.c72a95d-3) ...
Configurando libcap2:i386 (1:2.25-1.2) ...
Configurando libsasl2-modules-db:i386 (2.1.27~101-g0780600+dfsg-3ubuntu2.1) ...
Configurando libsasl2-2:i386 (2.1.27~101-g0780600+dfsg-3ubuntu2.1) ...
Configurando libroken18-heimdal:i386 (7.5.0+dfsg-1) ...
Configurando libusb-1.0-0:i386 (2:1.0.21-2) ...
Configurando libheimbase1-heimdal:i386 (7.5.0+dfsg-1) ...
Configurando libsqlite3-0:i386 (3.22.0-1ubuntu0.3) ...
Configurando libxpm4:i386 (1:3.5.12-1) ...
Configurando libopenal1:i386 (1:1.18.2-2) ...
Configurando liborc-0.4-0:i386 (1:0.4.28-1) ...
Configurando ocl-icd-libopencl1:i386 (2.2.11-1ubuntu1) ...
Configurando libmpg123-0:i386 (1.25.10-1) ...
Configurando libexif12:i386 (0.6.21-4ubuntu0.1) ...
Configurando libpcap0.8:i386 (1.8.1-6ubuntu1.18.04.1) ...
Configurando libgphoto2-port12:i386 (2.5.16-2) ...
Configurando libgstreamer1.0-0:i386 (1.14.5-0ubuntu1~18.04.1) ...
Setcap worked! gst-ptp-helper is not suid!
Configurando libwind0-heimdal:i386 (7.5.0+dfsg-1) ...
Configurando libasn1-8-heimdal:i386 (7.5.0+dfsg-1) ...
Configurando libhcrypto4-heimdal:i386 (7.5.0+dfsg-1) ...
Configurando libgd3:i386 (2.2.5-4ubuntu0.3) ...
Configurando libhx509-5-heimdal:i386 (7.5.0+dfsg-1) ...
Configurando libkrb5-26-heimdal:i386 (7.5.0+dfsg-1) ...
Configurando libheimntlm0-heimdal:i386 (7.5.0+dfsg-1) ...
Configurando libgstreamer-plugins-base1.0-0:i386 (1.14.5-0ubuntu1~18.04.1) ...
Configurando libgphoto2-6:i386 (2.5.16-2) ...
Configurando libgssapi3-heimdal:i386 (7.5.0+dfsg-1) ...
Configurando libldap-2.4-2:i386 (2.4.45+dfsg-1ubuntu1.4) ...
Procesando disparadores para libc-bin (2.27-3ubuntu1) ...
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #18 on: March 12, 2020, 07:46:09 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
You are fine, I am not good in Spanish but I can understand the packages being removed. Try running this command and do the same thing by copying the output here please.
Code: [Select]
sudo apt-get remove libfaudio0*
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #19 on: March 12, 2020, 07:51:07 PM »
 

Tomm16 Rnr

  • New to Forums
  • *
  • 16
    Posts
  • Reputation: 0
I have done what you told me and this is the result (I will try to translate what the terminal returns so it is easier for you to read)
Code: [Select]
Reading package list ... Done
Creating dependency tree
Reading status information ... Done
Note, selecting «libfaudio0-amd64»for the global«libfaudio0*»
Note, selecting «libfaudio0-i386:i386» for the global«libfaudio0*»
Note, selecting «libfaudio0»for the global«libfaudio0*»
The package «libfaudio0» not installed, will not be removed
The package «libfaudio0-amd64» no está instalado, no se eliminará
The package«libfaudio0-i386:i386» no está instalado, no se eliminará
The packages listed below were installed automatically and are no longer required.
  libasn1-8-heimdal:i386 libcap2:i386 libexif12:i386 libgd3:i386
  libgphoto2-6:i386 libgphoto2-port12:i386 libgssapi3-heimdal:i386
  libgstreamer-plugins-base1.0-0:i386 libgstreamer1.0-0:i386
  libhcrypto4-heimdal:i386 libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386
  libhx509-5-heimdal:i386 libkrb5-26-heimdal:i386 liblcms2-2:i386
  libldap-2.4-2:i386 libmpg123-0:i386 libopenal1:i386 liborc-0.4-0:i386
  libpcap0.8:i386 libroken18-heimdal:i386 libsasl2-2:i386
  libsasl2-modules-db:i386 libsqlite3-0:i386 libstb0 libstb0:i386
  libusb-1.0-0:i386 libwind0-heimdal:i386 libxpm4:i386 ocl-icd-libopencl1:i386
Use «sudo apt autoremove» to delete.
0 actualizados, 0 nuevos se instalarán, 0 para eliminar y 0 no actualizados.
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #20 on: March 12, 2020, 07:58:03 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
Ok do you want to try to fix or to reinstall from scratch? If you want to try to fix run the:
Code: [Select]
sudo apt-get remove --purge wine
After it completes run:
Code: [Select]
sudo apt autoremove --purgeThe test will be if it reboots, make sure any added ppas you did are unchecked. You learn by fixing but sometimes it is easier and faster to reinstall, just make sure you have anything you want to save put on an external device if you go the reinstall route.
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #21 on: March 12, 2020, 08:02:20 PM »
 

Tomm16 Rnr

  • New to Forums
  • *
  • 16
    Posts
  • Reputation: 0
Ok do you want to try to fix or to reinstall from scratch? If you want to try to fix run the:
Code: [Select]
sudo apt-get remove --purge wine
After it completes run:
Code: [Select]
sudo apt autoremove --purgeThe test will be if it reboots, make sure any added ppas you did are unchecked. You learn by fixing but sometimes it is easier and faster to reinstall, just make sure you have anything you want to save put on an external device if you go the reinstall route.


After sudo apt-get remove --purge wine the message was this

Code: [Select]
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
No pueden eliminarse los paquetes virtuales como «wine»
Los paquetes indicados a continuación se instalaron de forma automática y ya no son necesarios.
  libasn1-8-heimdal:i386 libcap2:i386 libexif12:i386 libgd3:i386
  libgphoto2-6:i386 libgphoto2-port12:i386 libgssapi3-heimdal:i386
  libgstreamer-plugins-base1.0-0:i386 libgstreamer1.0-0:i386
  libhcrypto4-heimdal:i386 libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386
  libhx509-5-heimdal:i386 libkrb5-26-heimdal:i386 liblcms2-2:i386
  libldap-2.4-2:i386 libmpg123-0:i386 libopenal1:i386 liborc-0.4-0:i386
  libpcap0.8:i386 libroken18-heimdal:i386 libsasl2-2:i386
  libsasl2-modules-db:i386 libsqlite3-0:i386 libstb0 libstb0:i386
  libusb-1.0-0:i386 libwind0-heimdal:i386 libxpm4:i386 ocl-icd-libopencl1:i386
Utilice «sudo apt autoremove» para eliminarlos.
0 actualizados, 0 nuevos se instalarán, 0 para eliminar y 0 no actualizados.

Then I made
Code: [Select]
sudo apt autoremove --purgeand the message was
Code: [Select]
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Los siguientes paquetes se ELIMINARÁN:
  libasn1-8-heimdal:i386* libcap2:i386* libexif12:i386* libgd3:i386*
  libgphoto2-6:i386* libgphoto2-port12:i386* libgssapi3-heimdal:i386*
  libgstreamer-plugins-base1.0-0:i386* libgstreamer1.0-0:i386*
  libhcrypto4-heimdal:i386* libheimbase1-heimdal:i386*
  libheimntlm0-heimdal:i386* libhx509-5-heimdal:i386* libkrb5-26-heimdal:i386*
  liblcms2-2:i386* libldap-2.4-2:i386* libmpg123-0:i386* libopenal1:i386*
  liborc-0.4-0:i386* libpcap0.8:i386* libroken18-heimdal:i386*
  libsasl2-2:i386* libsasl2-modules-db:i386* libsqlite3-0:i386* libstb0*
  libstb0:i386* libusb-1.0-0:i386* libwind0-heimdal:i386* libxpm4:i386*
  ocl-icd-libopencl1:i386*
0 actualizados, 0 nuevos se instalarán, 30 para eliminar y 0 no actualizados.
Se liberarán 20,7 MB después de esta operación.
¿Desea continuar? [S/n]


I typed "S" and the result was
Code: [Select]
(Leyendo la base de datos ... 315721 ficheros o directorios instalados actualmente.)
Desinstalando libldap-2.4-2:i386 (2.4.45+dfsg-1ubuntu1.4) ...
Desinstalando libgssapi3-heimdal:i386 (7.5.0+dfsg-1) ...
Desinstalando libheimntlm0-heimdal:i386 (7.5.0+dfsg-1) ...
Desinstalando libkrb5-26-heimdal:i386 (7.5.0+dfsg-1) ...
Desinstalando libhx509-5-heimdal:i386 (7.5.0+dfsg-1) ...
Desinstalando libgstreamer-plugins-base1.0-0:i386 (1.14.5-0ubuntu1~18.04.1) ...
Desinstalando libgstreamer1.0-0:i386 (1.14.5-0ubuntu1~18.04.1) ...
Desinstalando libcap2:i386 (1:2.25-1.2) ...
Desinstalando libgphoto2-6:i386 (2.5.16-2) ...
Desinstalando libexif12:i386 (0.6.21-4ubuntu0.1) ...
Desinstalando libgd3:i386 (2.2.5-4ubuntu0.3) ...
Desinstalando libgphoto2-port12:i386 (2.5.16-2) ...
Desinstalando libhcrypto4-heimdal:i386 (7.5.0+dfsg-1) ...
Desinstalando libheimbase1-heimdal:i386 (7.5.0+dfsg-1) ...
Desinstalando liblcms2-2:i386 (2.9-1ubuntu0.1) ...
Desinstalando libmpg123-0:i386 (1.25.10-1) ...
Desinstalando libopenal1:i386 (1:1.18.2-2) ...
Desinstalando liborc-0.4-0:i386 (1:0.4.28-1) ...
Desinstalando libpcap0.8:i386 (1.8.1-6ubuntu1.18.04.1) ...
Desinstalando libwind0-heimdal:i386 (7.5.0+dfsg-1) ...
Desinstalando libsasl2-2:i386 (2.1.27~101-g0780600+dfsg-3ubuntu2.1) ...
Desinstalando libsasl2-modules-db:i386 (2.1.27~101-g0780600+dfsg-3ubuntu2.1) ...
Desinstalando libsqlite3-0:i386 (3.22.0-1ubuntu0.3) ...
Desinstalando libstb0:amd64 (0.0~git20190617.5.c72a95d-3) ...
Desinstalando libstb0:i386 (0.0~git20190617.5.c72a95d-3) ...
Desinstalando libusb-1.0-0:i386 (2:1.0.21-2) ...
Desinstalando libxpm4:i386 (1:3.5.12-1) ...
Desinstalando ocl-icd-libopencl1:i386 (2.2.11-1ubuntu1) ...
Desinstalando libasn1-8-heimdal:i386 (7.5.0+dfsg-1) ...
Desinstalando libroken18-heimdal:i386 (7.5.0+dfsg-1) ...
Procesando disparadores para libc-bin (2.27-3ubuntu1) ...
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #22 on: March 12, 2020, 08:08:46 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
Reboot and see if it works, then lets see if we can install playonlinux
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #23 on: March 12, 2020, 08:16:38 PM »
 

Tomm16 Rnr

  • New to Forums
  • *
  • 16
    Posts
  • Reputation: 0
Code: [Select]
sudo apt-get remove --purge wine
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
No pueden eliminarse los paquetes virtuales como «wine»
0 actualizados, 0 nuevos se instalarán, 0 para eliminar y 0 no actualizados.

Code: [Select]
sudo apt autoremove --purge
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
0 actualizados, 0 nuevos se instalarán, 0 para eliminar y 0 no actualizados.
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #24 on: March 12, 2020, 08:20:27 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
do you have snap package of wine installed or an appimg of wine installed?
You can also try installing playonlinux now if you have rebooted.
Code: [Select]
sudo apt-get install playonlinux
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #25 on: March 12, 2020, 08:24:16 PM »
 

Tomm16 Rnr

  • New to Forums
  • *
  • 16
    Posts
  • Reputation: 0
I tried to install Wine but was unable to install it.

When entering
Code: [Select]
sudo apt-get install playonlinux
Code: [Select]
Reading package list ... Done
Creating dependency tree
Reading status information ... Done
playonlinux is already in its latest version (4.3.4).
0 updated, 0 new will be installed, 0 to remove and 0 not updated.
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #26 on: March 12, 2020, 08:25:35 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
So you have playonlinux installed
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #27 on: March 12, 2020, 08:28:22 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
You should see playonlinux in the menu, click on the icon and wait for it to udpate it's cache, there should be wine version menu located at the top in one of the drop down menus on the program. I have not tried it but you should be able to see newer wine versions that can be installed. I am assuming this as I have never tried it.
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #28 on: March 12, 2020, 08:35:53 PM »
 

Tomm16 Rnr

  • New to Forums
  • *
  • 16
    Posts
  • Reputation: 0
YES, you are correct, there are 2 versions (wine (x86) (in which there are 2 installed versions (3.17 and 2.22) and the other is Wine (amd64) where there is no version installed, I understand that I have to install the latest, but what do I install? x86 or amd64?
 

Re: Update/Install Wine 5.0 in Linux Lite
« Reply #29 on: March 12, 2020, 08:40:46 PM »
 

supergamer

  • Forum Regular
  • ***
  • 163
    Posts
  • Country: us
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 3.4 64bit

  • CPU: AMD Phenom 565

  • MEMORY: 12Gb

  • VIDEO CARD: 550 ti
On a 64bit system always install 64bit, so the amd64 version is what you choose. You should also have been shown version 5rc of wine if I remember right testing out.
 


Tags:
 


Linux Lite 5.0 Final is now available for download and installation